Class | Chef::Knife::Core::TextFormatter
In: | lib/chef/knife/core/text_formatter.rb
Parent: | Object

### Methods

formatted_data indent_key_value indent_line new should_enumerate? stringify_value text_format

### Attributes

data | [R] |
ui | [R] |

### Public Class methods

new(data, ui)

### Public Instance methods

formatted_data()
indent_key_value(key, value, justify_width, indent)
indent_line(string, indent)
should_enumerate?(value)

Ruby 1.8 Strings include enumberable, which is not what we want. So we have this heuristic to detect hashes and arrays instead.

stringify_value(data)
text_format(data, indent=0)

[Validate]